// Updates: 2004.01.21, 2003.06.13


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.dnd.*;


public class TextZone extends JPanel { 
  private JTextArea ta;
  private JScrollPane scrollPane;


  public TextZone(AccentsToHtml client) {
    setLayout(new BorderLayout());
    setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
    JPanel p = new JPanel(new BorderLayout());
    ta = new JTextArea();     
    ta.setEditable(false);
    ta.setForeground(Color.blue);
    ta.setMargin(new Insets(5, 5, 5, 5));    
    scrollPane = new JScrollPane(ta);
    p.add(scrollPane, BorderLayout.CENTER);
    add(p, BorderLayout.CENTER);
    new DropTarget(ta, client);
  }


  public void append(String text) {
    ta.append(text + "\n"); 
    EventQueue.invokeLater(new Runnable() {
      public void run() {
        JScrollBar sb = scrollPane.getVerticalScrollBar();
        sb.setValue(sb.getMaximum());
      }
    });
  }  
}